/// class PD.Manage.Modules.ObjectModel.EntityTypesCommands

PD.Manage.Modules.ObjectModel.EntityTypesCommands =
PD.Commands.CommandGroup.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    registerCommands: function (e) {
        e.commands.add(new PD.Manage.Modules.ObjectModel.EntityTypeCreateDialogCommand());
        e.commands.add(new PD.Manage.Modules.ObjectModel.EntityTypeEditDialogCommand());
        e.commands.add(new PD.Manage.Modules.ObjectModel.EntityTypeDeleteCommand());
        e.commands.add(new PD.Manage.Modules.ObjectModel.EntityTypeOpenCommand());
        e.commands.add(new PD.Manage.Modules.ObjectModel.EntityTypeRelationshipDialogCommand());
        e.commands.add(new PD.Manage.Modules.ObjectModel.ConfigureSearchGroupsCommand());
        e.commands.add(new PD.Manage.Modules.ObjectModel.ExpressionAssignmentCommand());
    }

});